Bug 104458 - Can't compile ethereal SRPM due to gcc/pcap bug
Summary: Can't compile ethereal SRPM due to gcc/pcap bug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ethereal   
(Show other bugs)
Version: 3.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-15 21:12 UTC by Richard Offer
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-25 13:00:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Offer 2003-09-15 21:12:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
Trying to recompile the ethereal SRPM fails.

Looking in the build directory, and examining the config.log file shows that it
fails during configuration.

configure:11307: checking for pcap_open_live in -lpcap
configure:11338: gcc -o conftest -D_U_="__attribute__((unused))" -Wall -W
-O2 -g -pipe  -I$(top_srcdir) -I$(top_srcdir)/wiretap
-I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-I/usr/X11R6/include  -I$(top_srcdir) -I$(top_srcdir)/wiretap  conftest.c
-lpcap    >&5
/usr/bin/ld: conftest: hidden symbol `__udivsi3' in
/usr/lib/gcc-lib/ia64-redhat-linux/3.2.3/libgcc.a(__udivsi3.oS) is
referenced by DSO
collect2: ld returned 1 exit status


Version-Release number of selected component (if applicable):
ethereal-0.9.11-2

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild ethereal-0.9.11-2.src.rpm
    

Actual Results:  checking for GNU sed as first sed in PATH... yes
checking for gtk-config... /usr/bin/gtk-config
checking for GTK - version >= 1.2.0... yes
checking for glib-config... /usr/bin/glib-config
checking for GLIB - version >= 1.2.0... yes
checking whether GLib supports loadable modules... yes
checking for gethostbyname... yes
checking for connect... yes
checking whether to use libpcap for packet capture... yes
checking for extraneous pcap header directories... found --  -I/usr/include
added to CFLAGS
checking pcap.h usability... yes
checking pcap.h presence... yes
checking for pcap.h... yes
checking for pcap_open_live in -lpcap... no
configure: error: Library libpcap not found.
error: Bad exit status from /var/tmp/rpm-tmp.69087 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.69087 (%build)


Expected Results:  Built rpm.


Additional info:

Comment 1 Phil Knirsch 2003-09-25 13:00:30 UTC
Fixed in rawhide.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.